function [ BestParam, TestRes ] = FinalTestResultsSVM( resMSEVal, OuterLoopRepTest )

% resMSEVal is the output of "ReadNFoldCrossValResultsSVM.m"
% OuterLoopRepTest is the output of "ReadResultsSVMTestSet2.m"

%% Welch

% nTestPat = 5;
% nRep = 1;
% nOuterFolds = 11; 
% ParamArray = 1:125; 
% nOuterLoopRep = 3;  
  
%% Kudla

nTestPat = 22;  
nRep = 1;
nOuterFolds = 7;  
ParamArray = 1:125;  
nOuterLoopRep = 3;  

%%

for iOverOuterLoopRep = 1:nOuterLoopRep
    iOverOuterLoopRep
    for iOverOuterFold = 1:nOuterFolds
        for iOverParam = ParamArray
            TempVal = find( resMSEVal(iOverOuterLoopRep,iOverOuterFold,:) == min(resMSEVal(iOverOuterLoopRep, iOverOuterFold, :)) );
            BestParam(iOverOuterLoopRep,iOverOuterFold) = TempVal(1);
                    

        end
    end
end

for iOverOuterLoopRep = 1:nOuterLoopRep
    iOverOuterLoopRep
    TestRes(iOverOuterLoopRep).DesiredTest = []; 
    TestRes(iOverOuterLoopRep).SumAllRepTest = [];
    for iOverOuterFold = 1:nOuterFolds
        iParam = BestParam(iOverOuterLoopRep,iOverOuterFold);
        TestRes(iOverOuterLoopRep).DesiredTest = [TestRes(iOverOuterLoopRep).DesiredTest;...
                                OuterLoopRepTest(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iParam).DesiredTest ]; 
        TestRes(iOverOuterLoopRep).SumAllRepTest = [TestRes(iOverOuterLoopRep).SumAllRepTest;...
                                OuterLoopRepTest(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iParam).SumAllRepTest ];
    end
    TestRes(iOverOuterLoopRep).CorrSqr = corr2( TestRes(iOverOuterLoopRep).DesiredTest, TestRes(iOverOuterLoopRep).SumAllRepTest).^2;
    TestRes(iOverOuterLoopRep).MSE = mean(( TestRes(iOverOuterLoopRep).DesiredTest - TestRes(iOverOuterLoopRep).SumAllRepTest).^2);
end


end

