function [OuterLoopRep, Corr2SquaredTest, MSETest, resCorr2SquaredTest, resAllMSETest] = ReadResultsSVMTestSet2

% please set variable/string "your_username" to be used in the directories
% please change "GenFolderName" to the directory where calculations were stored

your_username = 'armando';

StartDir = pwd;

%% Welch

% nTestPat = 5;
% nRep = 1;
% nOuterFolds = 11; 
% ParamArray = 1:125; 
% nOuterLoopRep = 3;  
% GenFolderName = ['C:\Users\' your_username '\Documents\CalculationsTest\SVM\Welch\SVM_MFEBiasLabelCount_3rep_125Param']; 
  
%% Kudla

nTestPat = 22;  
nRep = 1;
nOuterFolds = 7;  
ParamArray = 1:125;  
nOuterLoopRep = 3;  
GenFolderName = ['C:\Users\' your_username '\Documents\CalculationsTest\SVM\kudla\SVM_MFEBiasLabelCount_3rep_125Param'];  

%%

for iOverOuterLoopRep = 1:nOuterLoopRep
    iOverOuterLoopRep
    for iOverOuterFold = 1:nOuterFolds
        for iOverParam = ParamArray
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepTest=zeros(nTestPat,1);
            
            for iOverRep = [1:nRep];
                
                folderData = [GenFolderName '\OuterLoopRep' num2str(iOverOuterLoopRep) ...
                          '\OuterFold_' num2str(iOverOuterFold) '\Rep_' num2str(iOverRep)];
                
                cd(folderData)      
                
                if iOverRep == 1
                    load('Data.mat')
                end
                
                folder = [GenFolderName '\OuterLoopRep' num2str(iOverOuterLoopRep) ...
                          '\OuterFold_' num2str(iOverOuterFold) '\Rep_' num2str(iOverRep) ...
                          '\Param_' num2str(iOverParam)];
                
                cd( folder );
                
                load('SVMData.mat');
                
                OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepTest = ...
                                        OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepTest +...
                                        SVMData(1).LastNet.TestY/nRep;
                
            end

            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).DesiredTest = Desired(end-nTestPat+1:end);
            
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).Corr2SquaredTestSum = ...
                                corr2( OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).DesiredTest,...
                                OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepTest  ).^2;
            
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).MSETestSum = ...
                                mean(( OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).DesiredTest-...
                                OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepTest  ).^2);
        end
    end
    
    
    
    for iOverParam = ParamArray
        
        OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllResTestOuterFolds = [];
        OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllDesiredTestOuterFolds = [];
        
        for iOverOuterFold = 1:nOuterFolds
            OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllResTestOuterFolds =  ...
                                                [OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllResTestOuterFolds;...
                                                 OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepTest];
            OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllDesiredTestOuterFolds = ...
                                                [OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllDesiredTestOuterFolds;...
                                                 OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).DesiredTest];
        end
        
        OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllMSETest = ...         
                                mean(( OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllDesiredTestOuterFolds -...
                                       OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllResTestOuterFolds ).^2);
        OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllCorr2SquaredTest = ...
                                corr2( OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllDesiredTestOuterFolds ,...
                                OuterLoopRep(iOverOuterLoopRep).Param(iOverParam).AllResTestOuterFolds ).^2;
    end
    
end

for iOverOuterLoopRep = 1:nOuterLoopRep
    for iOverParam = ParamArray 
        resCorr2SquaredTest(iOverOuterLoopRep, iOverParam) = OuterLoopRep( iOverOuterLoopRep ).Param( iOverParam ).AllCorr2SquaredTest;
        resAllMSETest(iOverOuterLoopRep, iOverParam) = OuterLoopRep( iOverOuterLoopRep ).Param( iOverParam ).AllMSETest; 
    end; 
end;

Corr2SquaredTest = mean( resCorr2SquaredTest );
MSETest = mean(resAllMSETest);

cd(StartDir)

end




%plot(CorrTest.^2); title('CorrSquared')

%figure; plot(MSETest); title('MSE')