function [ OuterLoopRep, Corr2SquaredVal, MSEVal, resMSEVal,resCorr2SquaredVal ] = ReadNFoldCrossValResultsSVM

% please set variable/string "your_username" to be used in the directories
% please change "GenFolderName" to the directory where calculations were stored

your_username ='armando';

StartDir = pwd;



%% Welch

% nTestPat = 5;
% nRep = 1;
% nOuterFolds = 11; 
% ParamArray = 1:125; 
% nOuterLoopRep = 3;  
% kFoldVal = 5;
% GenFolderName = ['C:\Users\' your_username '\Documents\CalculationsTest\SVM\Welch\SVM_MFEBiasLabelCount_3rep_125Param'];  
 
%% Kudla

nTestPat = 22; 
nRep = 1;
nOuterFolds = 7; 
ParamArray = [1:125];
nOuterLoopRep = 3;  
kFoldVal = 6;
GenFolderName = ['C:\Users\' your_username '\Documents\CalculationsTest\SVM\kudla\SVM_MFEBiasLabelCount_3rep_125Param'];  

%%

OuterLoopRep =[];

for iOverOuterLoopRep = 1:nOuterLoopRep
    iOverOuterLoopRep
    for iOverOuterFold = 1:nOuterFolds
        for iOverParam = ParamArray
            
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepVal = zeros( nTestPat*nOuterFolds ,1);
            
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepValTemp = zeros( nTestPat*nOuterFolds ,1);
            
            for iOverRep = [1:nRep];
                
                folderData = [ GenFolderName '\OuterLoopRep' num2str(iOverOuterLoopRep) ...
                    '\OuterFold_' num2str(iOverOuterFold) '\Rep_' num2str(iOverRep)];
                
                cd(folderData)
                
                if iOverRep == 1
                    Data = load('Data.mat');
                end
                
                folder = [GenFolderName '\OuterLoopRep' num2str(iOverOuterLoopRep) ...
                    '\OuterFold_' num2str(iOverOuterFold) '\Rep_' num2str(iOverRep) ...
                    '\Param_' num2str(iOverParam)];
                
                cd( folder );
                
                LoadIn = load('SVMData.mat');
                
                SVMData = LoadIn.SVMData;
                
                clear LoadIn;
                
                for iOverkFold = 1 : kFoldVal
                    OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepValTemp( ...
                                        SVMData( iOverkFold ).Param.RowForValSet,1 ) = SVMData( iOverkFold ).Res.ValY;
                end
                
                OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepVal = ...
                            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepVal +...
                            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepValTemp /nRep;
                                    
            end

            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepValTemp = [];
            
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).DesiredVal = Data.Desired( 1 : end-nTestPat );
            
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepVal( end-nTestPat+1 : end ) = []; 
            
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).Corr2SquaredValSum = ...
                                corr2( OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).DesiredVal,...
                                       OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepVal  ).^2;
            
            OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).MSEValSum = ...
                                mean(( OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).DesiredVal-...
                                       OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).SumAllRepVal  ).^2);
        end
    end
end

for iOverParam = ParamArray; 
    for iOverOuterLoopRep = 1:nOuterLoopRep; 
        for iOverOuterFold = 1:nOuterFolds 
            resCorr2SquaredVal( iOverOuterLoopRep, iOverOuterFold, iOverParam) = ...
                                        OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).Corr2SquaredValSum; 
            resMSEVal( iOverOuterLoopRep, iOverOuterFold, iOverParam) = ...
                                        OuterLoopRep(iOverOuterLoopRep).OuterFold(iOverOuterFold).Param(iOverParam).MSEValSum;                        
        end; 
    end;
    Corr2SquaredVal(iOverParam) = mean(mean( resCorr2SquaredVal(:,:,iOverParam) ));
    MSEVal(iOverParam) = mean(mean( resMSEVal(:,:,iOverParam) ));
end

cd(StartDir)



end

